Bug 133087 - Don't compile Radiusclient in plugins of pppd.
Don't compile Radiusclient in plugins of pppd.
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: ppp (Show other bugs)
2
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-21 12:22 EDT by Kirill Yushkov
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-11 11:53:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kirill Yushkov 2004-09-21 12:22:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.2; en-US; rv:1.8a3)
Gecko/20040904

Description of problem:
Don't compile Radiusclient in plugins of pppd.
Don't work configure in pppd/plugins/radius/radiusclient with next log
message:

make[2]: Entering directory
`/usr/local/src/ppp-2.4.2/1/ppp-2.4.2/pppd/plugins/radius'
test -r radiusclient/Makefile ||           \
        (cd radiusclient;                  \
         ./configure --prefix=/usr         \
                     --sysconfdir=/etc     \
                     --enable-shared       \
                     --enable-static)
creating cache ./config.cache
checking host system type... Invalid configuration
`x86_64-pc-linux-oldld': machine `x86_64-pc' not recognized

checking target system type... Invalid configuration
`x86_64-pc-linux-oldld': machine `x86_64-pc' not recognized

checking build system type... Invalid configuration
`x86_64-pc-linux-oldld': machine `x86_64-pc' not recognized

checking for a BSD compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking whether make sets ${MAKE}... yes
checking for working aclocal... found
checking for working autoconf... found
checking for working automake... found
checking for working autoheader... found
checking for working makeinfo... found
checking for gcc... gcc
checking whether the C compiler (gcc  ) works... yes
checking whether the C compiler (gcc  ) is a cross-compiler... no
checking whether we are using GNU C... yes
checking whether gcc accepts -g... yes
checking for ar... /usr/bin/ar
checking for ranlib... ranlib
checking for ld used by GCC... /usr/bin/ld
checking if the linker (/usr/bin/ld) is GNU ld... yes
checking for BSD-compatible nm... /usr/bin/nm -B
checking whether ln -s works... yes
ltconfig: you must specify a host type if you use `--no-verify'
Try `ltconfig --help' for more information.
configure: error: libtool configure failed
make[2]: *** [radiusclient/lib/.libs/libradiusclient.a] Error 1
make[2]: Leaving directory
`/usr/local/src/ppp-2.4.2/1/ppp-2.4.2/pppd/plugins/radius'
make[1]: *** [all] Error 2
make[1]: Leaving directory
`/usr/local/src/ppp-2.4.2/1/ppp-2.4.2/pppd/plugins'
make: *** [all] Error 2

Aplying fedora pathches don't help this situation.

Version-Release number of selected component (if applicable):
ppp-2.4.2-3.FC2.1.src.rpm

How reproducible:
Always

Steps to Reproduce:
1.Unpacking src.rpm.
2.Aplying pathches.
3. ./confgure
4. make RPM_OPT_FLAGS="$RPM_OPT_FLAGS -Werror -fPIC"
    

Actual Results:  After this, we take log with error.

Expected Results:  Maybe we should insert compile radius plugin into
the basic rpm ?

Additional info:

Athlon64+ 3000
Albatron k8800

uname -a
Linux park2 2.6.8-1.521 #1 Mon Aug 16 09:01:00 EDT 2004 x86_64 x86_64
x86_64 GNU/Linux

rpm -q libtool
libtool-1.5.6-1
Comment 1 Thomas Woerner 2004-10-11 11:53:29 EDT
The radius plugin of ppp is not supported at this time.
Closing "DEFERRED"

Note You need to log in before you can comment on or make changes to this bug.